Endpoints that provide valuation data.
Get valuations
Retrieves investor portfolio valuation data for portfolios associated with the Resource Owner.
Data is as of the end of the previous business day.
Notes
Wrappers (and holdings) are included where any of the following conditions are met:
- The wrapper is
OPENorCLOSING - The wrapper is
CLOSEDand- it was closed within the last 30 days
- or a transaction was added within the last 30 days
- or a holding exists
Current wrapper state (OPEN, CLOSING, CLOSED) and effective dates for each state is provided.
Optionally firm_ids, adviser_ids and investor_portfolio_ids may be specified.
Optionally exclude_closed_portfolios may be specified. If true, this overrides the above conditional logic. Portfolios where all contained wrappers are CLOSED are excluded.
Optionally exclude_empty_gias may be specified. If true, General Investment Account wrappers (GIAs) that have no transactions are excluded.
Data is prepared for consumption each weekday and remains static throughout the day. It is recommended that you request data after 6 am UK local time.
Note that in the UAT environment, this endpoint returns one investor portfolio per page. In the production environment each page contains multiple investor portfolios.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKrolevaluation.readandentity.readscopes
query Parameters
cursorOpaque cursor to the result page to include in the response. Appropriate values for this field may be retrieved
from a response object's first, prev, next, last, and self fields.
exclude_closed_portfoliosOption to suppress portfolios where all contained wrappers are CLOSED. Default value is false.
exclude_empty_giasOption to suppress GIAs that contain no transactions. Default value is false.
firm_idsThe list of firm Transact numbers to filter on.
adviser_idsThe list of adviser Transact numbers to filter on.
investor_portfolio_idsThe list of investor Transact numbers to filter on.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get valuations › Responses
Retrieved Successfully.
The list of investor portfolios.
selfPagination cursor pointing to the current page.
firstPagination cursor pointing to the first page.
prevPagination cursor pointing to the previous page.
nextPagination cursor pointing to the next page.
lastPagination cursor pointing to the last page.
Object containing the applied query filters.

